## Version and feature checks Version and feature checks — Version information in the API. |

## Functions

#define | QMI_CHECK_VERSION()

## Types and Values

#define | QMI_MAJOR_VERSION
#define | QMI_MINOR_VERSION
#define | QMI_MICRO_VERSION
#define | QMI_MBIM_QMUX_SUPPORTED
#define | QMI_QRTR_SUPPORTED
#define | QMI_RMNET_SUPPORTED

## Description

This section defines types that are used to identify the libqmi-glib version.

## Functions

### QMI_CHECK_VERSION()

    #define             QMI_CHECK_VERSION(major,minor,micro)

Checks the version of the libqmi library that is being compiled against.

#### Parameters

major | major version (e.g. 1 for version 1.2.5) |
minor | minor version (e.g. 2 for version 1.2.5) |
micro | micro version (e.g. 5 for version 1.2.5) |

#### Returns

`TRUE` if the version of the libqmi-glib header files is the same as or newer than the passed-in version.

Since: 1.6

## Types and Values

### QMI_MAJOR_VERSION

    #define QMI_MAJOR_VERSION (1)

Evaluates to the major version number of libqmi-glib which this source is compiled against.

Since: 1.6

### QMI_MINOR_VERSION

    #define QMI_MINOR_VERSION (30)

Evaluates to the minor version number of libqmi-glib which this source is compiled against.

Since: 1.6

### QMI_MICRO_VERSION

    #define QMI_MICRO_VERSION (0)

Evaluates to the micro version number of libqmi-glib which this source compiled against.

Since: 1.6

### QMI_MBIM_QMUX_SUPPORTED

    #define QMI_MBIM_QMUX_SUPPORTED 1

Symbol to expose wether QMI over MBIM is supported. The symbol is always defined and set to either or 1 or 0.

E.g.:

    1
    2
    3
    #if QMI_MBIM_QMUX_SUPPORTED
        // do something
    #endif

Since: 1.16

### QMI_QRTR_SUPPORTED

    #define QMI_QRTR_SUPPORTED 1

Symbol to expose wether QMI over QRTR is supported. The symbol is always defined and set to either or 1 or 0.

E.g.:

    1
    2
    3
    #if QMI_QRTR_SUPPORTED
        // do something
    #endif

Since: 1.26

### QMI_RMNET_SUPPORTED

    #define QMI_RMNET_SUPPORTED 1

Symbol to expose wether RMNET link management operations are supported. The symbol is always defined and set to either or 1 or 0.

E.g.:

    1
    2
    3
    #if QMI_RMNET_SUPPORTED
        // do something
    #endif

Since: 1.30